Developers

Retrieves the collection of Vacation resources CSV.

GET
/calendar/vacations/export-csv

Retrieves the collection of Vacation resources CSV.

Authorization<token>

Value for the Authorization header parameter.

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Range0 <= value <= 100
Default30
pagination?boolean

Enable or disable pagination

search?string
calendarUser?string
calendarUser[]?array<string>
vacationYear?integer
vacationYear[]?array<integer>
status?string
status[]?array<string>
vacationType?string
vacationType[]?array<string>
issueDate?string
issueDate[]?string
vacationType.isActive?boolean
vacationType.isActive[]?array<boolean>
calendarUser.canLogIn?boolean
vacationDates.date[before]?string
vacationDates.date[strictly_before]?string
vacationDates.date[after]?string
vacationDates.date[strictly_after]?string
order[vacationYear]?string
Default"asc"

Value in

  • "asc"
  • "desc"
order[status]?string
Default"asc"

Value in

  • "asc"
  • "desc"
order[vacationType.name]?string
Default"asc"

Value in

  • "asc"
  • "desc"
order[issueDate]?string
Default"asc"

Value in

  • "asc"
  • "desc"
order[createdAt]?string
Default"asc"

Value in

  • "asc"
  • "desc"
order[updatedAt]?string
Default"asc"

Value in

  • "asc"
  • "desc"
order[vacationDates.date]?string
Default"asc"

Value in

  • "asc"
  • "desc"

Response Body

curl -X GET "https://example.com/calendar/vacations/export-csv"
[  {    "key": "string",    "downloadUrl": "string"  }]